Subject: Re: bug#12375: Broken matching of regexps in fancy splitting

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Jul 2013 19:53:46 +0200

jathd <[email-masked]> writes:

> The problem is that this regexp is used to decide whether a message
> follows a rule (in other words, that regexp is matched against the
> message header), but when extracting the value with which to replace
> "\\1" in the group name "list.devel.\\1" I gave, it matches a second
> time with the *original regexp* I gave (and not the whole header this
> time, it narrows the search to the interesting part of the relevant
> header field). So this time, it uses the regexp without the "\\<", which
> explains why it replaces "\\1" with "s" instead of "batteries".

Hm.  Looking at the code, I can't see where it's re-matching against the
original regexp.  `nnmail-expand-newtext' just uses the result from
`match-beginning'/`match-end', which should be the right thing to do.

If I've reading the code correctly, which I may not be doing.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/